#1 20.01.2017 12:45:11

Corbeau
Player
Posts: 241

Looking for idiot's guide for installing FreeCiv 2.5 in Linux Mint

Howdy. Basically, it's all in the title: I'm a fairly new Linux user and I'm looking for a way to do, well, ^---that.

The default Software Manager is offering me version 2.4. The Readme/Install documentation with the downloaded FreeCiv source code is a bit longish and when following it blindly I end up with:

% ./configure

....lots of stuff looking good, but ending with:

configure: error: libcurl development files required

After that I *did* install libcurl (it says"7.35.0-1ubuntu2.10" and what is needed is "libcurl version 7.12.1 or better")

However, after installing libcurl, staring Configure gets me again:

configure: error: libcurl development files required

....


Any ideas? Different approaches?

Last edited by Corbeau (20.01.2017 12:46:13)

Offline

#2 20.01.2017 13:32:35

chem
Player
Posts: 9

Re: Looking for idiot's guide for installing FreeCiv 2.5 in Linux Mint

You've probably installed the compiled libcurl, but you will also need the source code headers.
I'm no familiar with Linux mint, but this should work: http://askubuntu.com/questions/78183/in … rary#78185.

You may be missing other dependencies as well, you should google them or just try and to install the package with -dev suffix

Offline

#3 20.01.2017 13:51:26

Corbeau
Player
Posts: 241

Re: Looking for idiot's guide for installing FreeCiv 2.5 in Linux Mint

Ok, that did the trick, and now:

configure: error: can not build any of the supported clients

(after a series of checks that ended with a "no")

I saw a mention somewhere of the possibility of installing an already compiled package for FreeCiv? How realistic would that be?

Offline

#4 20.01.2017 14:27:43

Corbeau
Player
Posts: 241

Re: Looking for idiot's guide for installing FreeCiv 2.5 in Linux Mint

Ok, problem solved (it seems).

If anyone encounters similar problem, go here:

http://linuxg.net/install-freeciv-on-ubuntu-via-getdeb/

Offline

Board footer

Powered by FluxBB